org.eclipse.zest.layouts.constraints

## Class BasicEdgeConstraints

- java.lang.Object
- - org.eclipse.zest.layouts.constraints.BasicEdgeConstraints

All Implemented Interfaces:
  LayoutConstraint

    public class BasicEdgeConstraints
    extends java.lang.Object
    implements LayoutConstraint

### Field Summary

Fields
`boolean` `isBiDirectional`
`int` `weight`

### Constructor Summary

Constructors
Constructor and Description
`BasicEdgeConstraints()`

### Method Summary

Methods
`void` `clear()` This method clears all the fields of the layout constraints.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### isBiDirectional

    public boolean isBiDirectional

#### weight

    public int weight

### Constructor Detail

#### BasicEdgeConstraints

    public BasicEdgeConstraints()

### Method Detail

#### clear

    public void clear()

Description copied from interface: `LayoutConstraint`
This method clears all the fields of the layout constraints. This should not be called outside the layout package

Specified by:
  `clear` in interface `LayoutConstraint`